Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.io
Class StdinInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--edu.utah.janosvm.io.StdinInputStream

public class StdinInputStream
extends java.io.InputStream

Input stream for a team's standard in.

XXX rename to StdInputStream.

Author:
  Tim Stack, Utah Janos Team

Constructor Summary
`StdinInputStream()`

Method Summary
`int` | `read()` XXX stupid wrapper for the readInt function.
`int` | `read(byte[] b, int off, int len)` Native function that does a block read from stdin as setup for the current team.

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdinInputStream

    public StdinInputStream()

Method Detail

### read

    public int read()

  XXX stupid wrapper for the readInt function.
  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Native function that does a block read from stdin as setup for the current team.
  Overrides:
    read in class java.io.InputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001